# $Revision: 1.6 $, $Date: 2006/11/01 20:50:20 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	SGI
%define	pnam	FAM
Summary:	SGI::FAM - Perl interface to SGI/Irix File Access Monitor
Summary(pl):	SGI::FAM - perlowy interfejs do monitora dostpu do plikw FAM
Name:		perl-SGI-FAM
Version:	1.002
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e92451d3d8fbb9ea6e1995f80d5b086a
BuildRequires:	fam-devel
BuildRequires:	perl-File-PathConvert
BuildRequires:	perl-Getopt-Mixed
BuildRequires:	perl-Test-Helper
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides a somewhat higher-level and friendlier interface to the
SGI/Irix File Access Monitor API. This allows one to monitor both
local and remote (NFS-mounted) files and directories for common
filesystem events. To do so, you must register "monitors" on specified
pathnames and wait for events to arrive pertaining to them. To get a
full description of the API, you should see fam(3x).

%description -l pl
SGI::FAM udostpnia nieco bardziej wysokopoziomowy i przyjazny
interfejs do API monitora dostpu do plikw FAM (File Access Monitor)
pochodzcego z SGI/Iriksa. Pozwala on monitorowa zarwno lokalne jak
i zdalne (podmontowane przez NFS) pliki i katalogi pod ktem zwykych
zdarze wystpujcych w systemach plikw. Aby to zrobi, naley
zarejestrowa "monitory" na podanych ciekach plikw i oczekiwa na
nadejcie zwizanych z nimi zdarze. Peny opis API znajduje si w
manualu fam(3x).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__sed} -i -e '1s,#!.*/bin/perl5,#!%{__perl},' magicrcs monitor

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
# %{_bindir}/magicrcs seems to be broken
%attr(755,root,root) %{_bindir}/mo*
%dir %{perl_vendorarch}/SGI
%{perl_vendorarch}/SGI/*.pm
%dir %{perl_vendorarch}/auto/SGI
%dir %{perl_vendorarch}/auto/SGI/FAM
%{perl_vendorarch}/auto/SGI/FAM/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/SGI/FAM/*.so
%{perl_vendorarch}/auto/SGI/FAM/*.ix
%{perl_vendorarch}/auto/SGI/FAM/*.al
%{_mandir}/man1/mo*
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SGI-FAM.spec,v $
Revision 1.6  2006/11/01 20:50:20  ankry
- fixed file list, remove broken %{_bindir}/magicrcs, rel. 4

Revision 1.5  2006/10/30 09:36:21  glen
- more perl path fix; rel 3

Revision 1.4  2006/10/25 19:11:57  glen
- fix perl path; rel 2

Revision 1.3  2006/10/24 21:17:38  ankry
- rel. 1, license fixed

Revision 1.2  2005/10/03 18:05:32  qboosh
- pl
- own SGI dirs for now

Revision 1.1  2005/09/29 22:38:26  zbyniu
- new
